%define apache_version 1.3.37
%define EAPI_version 2.8.28
%define modssl_apache_version %{apache_version}

# might not be defined, so define it here
%define TAG Mandriva Linux

Summary:	The most widely used Web server on the Internet
Name:		apache1
Version:	%{apache_version}
Release:	%mkrel 1
Group:		System/Servers
License:	Apache License
URL:		http://www.apache.org
Source0:	http://archive.apache.org/dist/httpd/apache_%{version}.tar.gz
Source1:	http://archive.apache.org/dist/httpd/apache_%{version}.tar.gz.asc
Source2:	http://www.modssl.org/source/mod_ssl-%{EAPI_version}-%{modssl_apache_version}.tar.gz
Source3:	http://www.modssl.org/source/mod_ssl-%{EAPI_version}-%{modssl_apache_version}.tar.gz.asc
Source4:	httpd1.3.init
Source5:	httpd1.3.conf
Source6:	httpd1.3.sysconfig
Source7:	magic1.3
Source8:	mime1.3.types
Patch1:		apache_1.3.11-apxs.patch.bz2
Patch2:		apache_1.3.33-srvroot.diff.bz2
Patch4:		Configuration.diff.bz2
Patch6:		apache-1.3.14-mkstemp.patch.bz2
Patch8:		apache-1.3.20.manpage.patch.bz2
Patch9:		apache-1.3.22-man.patch.bz2
Patch10:	apache-1.3.33-dbm.patch.bz2
Patch11:	apache-1.3.33_db4.diff.bz2
Patch12:	apache_1.3.29-fPIC.diff.bz2
Provides:	webserver 
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(post): apache1-modules >= %{apache_version}-%{release}
Requires(preun): apache1-modules >= %{apache_version}-%{release}
BuildRequires:	mm-devel
BuildRequires:	perl >= 0:5.601
BuildRequires:	gdbm-devel
BuildRequires:	db4-devel
BuildRequires:	db1-devel
BuildRequires:	glibc-devel
BuildRequires:	openssl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Apache is a powerful, full-featured, efficient and freely-available
Web server. Apache is also the most popular Web server on the
Internet.

This version of Apache includes many optimizations, Extended
Application Programming Interface (EAPI), Shared memory module, hooks for
SSL modules, and several patches/cosmetic improvements.

It is also fully modular, and many modules are available in pre-compiled 
format, like PHP4, the Hotwired XSSI module and Apache-ASP. Also included are
special patches to enable FrontPage 2000 support (see mod_frontpage package).

%package	modules
Summary:	Standard modules for Apache
Group:		System/Servers
Requires(post): apache1-base >= %{apache_version}-%{release}
Requires(preun): apache1-base >= %{apache_version}-%{release}

%description	modules
This package contains standard modules for Apache 1.3. 
It is required for normal operation of the web server. 
The reason we split these into a separate package is they can be used 
also with the apache-mod_perl package.

%package	base
Summary:	Files common for apache1 and apache1-mod_perl installations
Group:		System/Servers

%description	base
This package contains files required for both apache1 and 
apache1-mod_perl package installations. Install this if you want
to install Apache or/and Apache with mod_perl.

%package	devel
Summary:	Module development tools for Apache 1.3
Group:		Development/C
Requires:	mm-devel
Requires:	gdbm-devel
Requires:	db1-devel
Requires:	glibc-devel

%description	devel
The apache-devel package contains the header files and libraries 
for Apache 1.3 and the APXS binary you'll need to build Dynamic
Shared Objects (DSOs) for Apache.

If you are installing the Apache 1.3 server and
you want to be able to compile or develop additional modules
for it, you'll need to install this package.

%package	source
Summary:	Apache Source
Group:		System/Servers
Requires:	mm-devel
Requires:	db1-devel
Requires:	gdbm-devel
Requires:	glibc-devel

%description	source
The Apache 1.3 Source, including Mandriva Linux patches and EAPI. 
Use this package to build apache1-mod_perl, or your own custom version.

%prep

%setup -q -n apache_%{apache_version} -a2
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch6 -p1
%patch8 -p0
%patch9 -p0
%patch10 -p1
%patch11 -p0
%patch12 -p0

cp %{SOURCE4} .
cp %{SOURCE5} .
cp %{SOURCE6} .
cp %{SOURCE7} .
cp %{SOURCE8} .

#Correct layout 
perl -pi -e 's|" PLATFORM "|%{TAG}/%{release}|;' \
	src/main/http_main.c

#Correct perl paths
find -type f|xargs perl -pi -e 's|/usr/local/bin/perl|%{_bindir}/perl|g;\
    s|/usr/local/bin/perl5|%{_bindir}/perl|g;s|/path/to/bin/perl|%{_bindir}/perl|g;' 

#### EAPI
ssl="mod_ssl-%{EAPI_version}-%{modssl_apache_version}"
mv $ssl/pkg.eapi/*.c src/ap/
mv $ssl/pkg.eapi/*.h src/include/ 
mv $ssl/pkg.addon/*.c src/modules/extra
cp src/modules/extra/mod_define.c src/modules/standard
perl -p -i -e "s/^--- /--- .\//g; s/^\+\+\+ /\+\+\+ .\//g" \
	$ssl/pkg.addon/addon.patch $ssl/pkg.eapi/eapi.patch
patch -p1 < $ssl/pkg.addon/addon.patch
patch -p1 < $ssl/pkg.eapi/eapi.patch

cp $ssl/pkg.addon/mod_define.html \
	htdocs/manual/mod/mod_define.html

####
# Copy pre-patched Apache source so we can package an apache-source rpm and
# use it to build mod_perl
FILZ=`ls | grep -v mod_ssl-%{EAPI_version}-%{modssl_apache_version}`
mkdir -p usr/src/apache_%{apache_version}
cp -dpR $FILZ usr/src/apache_%{apache_version}

%build

# Add a useless --libdir option to the configure script
# to fool rpmlint in giving one less error ;-)
perl -pi -e "s|--mandir=\*\)|--libdir=\*\)\n\t\t;;\n\t--mandir=\*\)|;" configure

export OPTIM="%{optflags} -fno-strict-aliasing"
export CFLAGS="-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -DUSE_FCNTL_SERIALIZED_ACCEPT -DHARD_SERVER_LIMIT=2048"
export EAPI_MM="SYSTEM"
export LIBS="-lgdbm -lpthread"

./configure \
        --prefix=%{_sysconfdir}/%{name} \
        --exec-prefix=%{_exec_prefix} \
        --bindir=%{_bindir} \
        --sbindir=%{_sbindir} \
        --sysconfdir=%{_sysconfdir}/%{name}/conf \
        --datadir=%{_datadir} \
        --includedir=%{_includedir}/%{name} \
        --libdir=%{_libdir} \
        --libexecdir=%{_libdir}/%{name} \
        --localstatedir=%{_localstatedir} \
        --mandir=%{_mandir} \
        --iconsdir=%{_var}/www/%{name} \
        --htdocsdir=%{_var}/www/html \
        --manualdir=%{_docdir}/%{name}-manual-%{version} \
        --cgidir=%{_var}/www/cgi-bin \
        --runtimedir=%{_var}/run/%{name} \
        --logfiledir=%{_var}/log/%{name} \
        --with-perl=%{_bindir}/perl \
        --with-port=80 \
        --server-uid=apache \
        --server-gid=apache \
        --disable-rule=expat \
        --enable-rule=EAPI \
        --disable-rule=WANTHSREGEX \
        --enable-rule=SHARED_CORE \
        --enable-rule=DEV_RANDOM=/dev/urandom \
        --enable-module=env --enable-shared=env \
        --enable-module=log_config --enable-shared=log_config \
	--enable-module=log_forensic --enable-shared=log_forensic \
        --enable-module=mime_magic --enable-shared=mime_magic \
        --enable-module=mime --enable-shared=mime \
        --enable-module=negotiation --enable-shared=negotiation \
        --enable-module=status --enable-shared=status \
        --enable-module=info --enable-shared=info \
        --enable-module=include --enable-shared=include \
        --enable-module=autoindex --enable-shared=autoindex \
        --enable-module=define --enable-shared=define \
        --enable-module=digest --enable-shared=digest \
        --enable-module=dir --enable-shared=dir \
        --enable-module=cgi --enable-shared=cgi \
        --enable-module=asis --enable-shared=asis \
        --enable-module=imap --enable-shared=imap \
        --enable-module=actions --enable-shared=actions \
        --enable-module=speling --enable-shared=speling \
        --enable-module=userdir --enable-shared=userdir \
        --enable-module=alias --enable-shared=alias \
        --enable-module=rewrite --enable-shared=rewrite \
        --enable-module=access --enable-shared=access \
        --enable-module=auth --enable-shared=auth \
        --enable-module=auth_anon --enable-shared=auth_anon \
        --enable-module=auth_db --enable-shared=auth_db \
        --enable-module=auth_dbm --enable-shared=auth_dbm \
        --enable-module=auth_digest --enable-shared=auth_digest \
        --enable-module=proxy --enable-shared=proxy --proxycachedir=%{_var}/cache/%{name} \
        --enable-module=expires --enable-shared=expires \
        --enable-module=headers --enable-shared=headers \
        --enable-module=usertrack --enable-shared=usertrack \
        --enable-module=unique_id --enable-shared=unique_id \
        --enable-module=setenvif --enable-shared=setenvif \
        --enable-module=vhost_alias --enable-shared=vhost_alias \
	--target=%{name}

# seems to build just fine without ndbm (db2)
find -name "Makefile" | xargs perl -pi -e "s|\-lndbm ||g"

# for some reason this file has to be reconstructed...
cat > src/apaci << EOF
#!/bin/sh
## USED AS A COMMAND LINE EXPANDER TO OVERRIDE PATHS
## WITHOUT DISTURBING THE KNOWN MAKE BUILD PROCESS DISPLAY
echo '-DHTTPD_ROOT="%{_sysconfdir}/%{name}"'
echo '-DSUEXEC_BIN="%{_sbindir}/%{name}-suexec"'
echo '-DSHARED_CORE_DIR="%{_libdir}/%{name}"'
echo '-DDEFAULT_PIDLOG="%{_var}/run/%{name}/%{name}.pid"'
echo '-DDEFAULT_SCOREBOARD="%{_var}/run/%{name}/%{name}.scoreboard"'
echo '-DDEFAULT_LOCKFILE="%{_var}/run/%{name}/%{name}.lock"'
echo '-DDEFAULT_ERRORLOG="%{_var}/log/%{name}/error_log"'
echo '-DTYPES_CONFIG_FILE="conf/mime.types"'
echo '-DSERVER_CONFIG_FILE="conf/httpd.conf"'
echo '-DACCESS_CONFIG_FILE="conf/access.conf"'
echo '-DRESOURCE_CONFIG_FILE="conf/srm.conf"'
echo '-DEAPI_MM_CORE_PATH="%{_var}/cache/%{name}/%{name}.mm"'
EOF

%make

# enable ssl in ab
rm -f src/support/ab src/support/ab.o
make -C src/support \
    CFLAGS="$CFLAGS -I%{_includedir}/openssl -DUSE_SSL " \
    LIBS="-L../os/unix -L../ap -lap -los -lgdbm -lpthread -lm -lcrypt -ldb -ldl -L%{_libdir} -lssl -lcrypto" \
    ab

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_initrddir}
install -d %{buildroot}%{_sysconfdir}/%{name}/modules.d
install -d %{buildroot}%{_sysconfdir}/%{name}/conf/vhosts.d
install -d %{buildroot}%{_sysconfdir}/%{name}/conf/webapps.d
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_var}/run/%{name}
install -d %{buildroot}%{_var}/cache/%{name}/%{name}-mm
install -d %{buildroot}%{_var}/log/%{name}

# install source
cp -a usr %{buildroot}

#Install Apache
make \
    root=%{buildroot} \
    install

# make some dangling soft links 
pushd %{buildroot}%{_sysconfdir}/%{name}
    ln -s ../../usr/%{_lib} %{_lib}
    ln -s ../../var/log/%{name} logs
    ln -s ../../usr/%{_lib}/%{name} modules
popd

# install static libs
find -type f|grep "\.a$"|xargs -iFL cp -f FL %{buildroot}%{_libdir}/%{name}

# install missing headers (maybe we need a mod_ssl-devel package instead?, nah...)
install -m0644 mod_ssl-%{EAPI_version}-%{modssl_apache_version}/pkg.sslmod/*.h %{buildroot}%{_includedir}/%{name}/

# make mr. lint happy and do some house cleaning...
pushd %{buildroot}%{_usrsrc}/apache_%{apache_version}
    for f in `find . -type f -name ".orig"` \
	`find . -type f -name ".deps"` \
	`find . -type f -name ".indent.pro"` \
	`find . -type f -name ".gdbinit"`; do
	rm -f $f
    done
popd

# install sysv script
install -m0755 httpd1.3.init %{buildroot}%{_initrddir}/%{name}

# tuck away the vanilla httpd.conf files
cp %{buildroot}%{_sysconfdir}/%{name}/conf/%{name}.conf httpd-VANILLA.conf

# cleanup
rm -f %{buildroot}%{_sysconfdir}/%{name}/conf/*.default
rm -f %{buildroot}%{_sysconfdir}/%{name}/conf/*.conf
rm -f %{buildroot}%{_var}/www/cgi-bin/*
rm -rf %{buildroot}%{_var}/www/html
rm -rf %{buildroot}%{_docdir}/%{name}-manual-%{version}

# config files
install -m0644 httpd1.3.conf %{buildroot}%{_sysconfdir}/%{name}/conf/httpd.conf
install -m0644 httpd1.3.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m0644 mime1.3.types %{buildroot}%{_sysconfdir}/%{name}/conf/mime.types
install -m0644 magic1.3 %{buildroot}%{_sysconfdir}/%{name}/conf/magic

# rename some files
mv %{buildroot}%{_bindir}/checkgid %{buildroot}%{_bindir}/%{name}-checkgid
mv %{buildroot}%{_bindir}/dbmmanage %{buildroot}%{_bindir}/%{name}-dbmmanage
mv %{buildroot}%{_bindir}/htdigest %{buildroot}%{_bindir}/%{name}-htdigest
mv %{buildroot}%{_bindir}/htpasswd %{buildroot}%{_bindir}/%{name}-htpasswd
mv %{buildroot}%{_sbindir}/ab %{buildroot}%{_sbindir}/%{name}-ab
mv %{buildroot}%{_sbindir}/apxs %{buildroot}%{_sbindir}/%{name}-apxs
#mv %{buildroot}%{_sbindir}/suexec %{buildroot}%{_sbindir}/%{name}-suexec
mv %{buildroot}%{_sbindir}/logresolve %{buildroot}%{_sbindir}/%{name}-logresolve
mv %{buildroot}%{_sbindir}/rotatelogs %{buildroot}%{_sbindir}/%{name}-rotatelogs
mv %{buildroot}%{_sbindir}/%{name}ctl %{buildroot}%{_sbindir}/%{name}-apachectl
mv %{buildroot}%{_mandir}/man1/dbmmanage.1 %{buildroot}%{_mandir}/man1/%{name}-dbmmanage.1
mv %{buildroot}%{_mandir}/man1/htdigest.1 %{buildroot}%{_mandir}/man1/%{name}-htdigest.1
mv %{buildroot}%{_mandir}/man1/htpasswd.1 %{buildroot}%{_mandir}/man1/%{name}-htpasswd.1
mv %{buildroot}%{_mandir}/man8/ab.8 %{buildroot}%{_mandir}/man8/%{name}-ab.8
mv %{buildroot}%{_mandir}/man8/apxs.8 %{buildroot}%{_mandir}/man8/%{name}-apxs.8
mv %{buildroot}%{_mandir}/man8/logresolve.8 %{buildroot}%{_mandir}/man8/%{name}-logresolve.8
mv %{buildroot}%{_mandir}/man8/rotatelogs.8 %{buildroot}%{_mandir}/man8/%{name}-rotatelogs.8
mv %{buildroot}%{_mandir}/man8/%{name}ctl.8 %{buildroot}%{_mandir}/man8/%{name}-apachectl.8
#mv %{buildroot}%{_mandir}/man8/suexec.8 %{buildroot}%{_mandir}/man8/%{name}-suexec.8

# install log rotation stuff
cat > %{name}.logrotate << EOF
%{_var}/log/%{name}/*_log %{_var}/log/%{name}/apache_runtime_status {
    size=2000M
    rotate 5
    monthly
    missingok
    notifempty
    nocompress
    prerotate
	%{_initrddir}/%{name} restart
    endscript
    postrotate
	%{_initrddir}/%{name} restart
    endscript
}
EOF
install -m0644 %{name}.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}

# do some replacing...
perl -pi -e "s|_TARGET_|%{name}|g" %{buildroot}%{_sysconfdir}/%{name}/conf/*.conf
perl -pi -e "s|_VERSION_|%{version}|g" %{buildroot}%{_sysconfdir}/%{name}/conf/*.conf
perl -pi -e "s|_TARGET_|%{name}|g" %{buildroot}%{_initrddir}/*
perl -pi -e "s|_TARGET_|%{name}|g" %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%pre
%_pre_useradd apache %{_var}/www /bin/sh

%post
%_post_service %{name}
if [ -f %{_var}/lock/subsys/%{name} ]; then
    %{_initrddir}/%{name} restart 1>&2;
fi

%preun
%_preun_service %{name}

%postun
%_postun_userdel apache

if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/%{name} ]; then
        %{_initrddir}/%{name} restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

%files 
%defattr(-,root,root)
%doc httpd-VANILLA.conf
%attr(0755,root,root) %{_initrddir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/conf/httpd.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/conf/magic
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}/conf/mime.types
%attr(0755,root,root) %{_sbindir}/%{name}
%{_mandir}/man8/%{name}.*

%files modules
%defattr(-,root,root)
%dir %{_libdir}/apache1
%attr(0644,root,root) %{_libdir}/%{name}/*.exp
%attr(0755,root,root) %{_libdir}/%{name}/*.ep
%attr(0755,root,root) %{_libdir}/%{name}/*.so

%files base
%defattr(-,root,root)
%dir %{_sysconfdir}/%{name}/logs
%dir %{_sysconfdir}/%{name}/modules
%dir %{_sysconfdir}/%{name}/%{_lib}
%dir %{_sysconfdir}/%{name}/conf/vhosts.d
%dir %{_sysconfdir}/%{name}/conf/webapps.d
%dir %{_sysconfdir}/%{name}/modules.d
%attr(0755,root,root) %{_bindir}/%{name}-checkgid
%attr(0755,root,root) %{_bindir}/%{name}-dbmmanage
%attr(0755,root,root) %{_bindir}/%{name}-htdigest
%attr(0755,root,root) %{_bindir}/%{name}-htpasswd
%attr(0755,root,root) %{_sbindir}/%{name}-ab
%attr(0755,root,root) %{_sbindir}/%{name}-logresolve
%attr(0755,root,root) %{_sbindir}/%{name}-rotatelogs
%attr(0755,root,root) %{_sbindir}/%{name}-apachectl
%dir %{_var}/www/%{name}
%dir %{_var}/www/%{name}/small
%{_var}/www/%{name}/README*
%{_var}/www/%{name}/small/README*
%{_var}/www/%{name}/*.gif
%{_var}/www/%{name}/*.png
%{_var}/www/%{name}/small/*.gif
%{_var}/www/%{name}/small/*.png
%attr(-,apache,apache) %dir %{_var}/cache/%{name}
%{_mandir}/man1/%{name}-dbmmanage*
%{_mandir}/man1/%{name}-htdigest*
%{_mandir}/man1/%{name}-htpasswd*
%{_mandir}/man8/%{name}-ab*
%{_mandir}/man8/%{name}-apachectl*
%{_mandir}/man8/%{name}-logresolve*
%{_mandir}/man8/%{name}-rotatelogs*
%attr(0755,apache,apache) %dir %{_var}/log/%{name}
%attr(0755,apache,apache) %dir %{_var}/run/%{name}
#JMD: *never remove this!* 1333 is the *right* permission.
%attr(1333,apache,apache) %dir %{_var}/cache/%{name}/%{name}-mm

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%attr(0644,root,root) %{_libdir}/%{name}/*.a
%attr(0755,root,root) %{_sbindir}/%{name}-apxs
%{_mandir}/man8/%{name}-apxs*

%files source
%defattr(-,root,root)
%{_usrsrc}/apache_%{apache_version}

%changelog
* Thu Aug 03 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.37-1mdv2007.0
- 1.3.37 (fixes CVE-2006-3747)
- EAPI version 2.8.28

* Fri May 19 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.36-1mdk
- 1.3.36
- EAPI version 2.8.27

* Mon May 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.35-2mdk
- EAPI version 2.8.26

* Mon May 01 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.35-1mdk
- 1.3.35 (fixes CVE-2005-3352)

* Mon Jan 02 2006 Oden Eriksson <oeriksson@mandriva.com> 1.3.34-2mdk
- rebuilt against new mm

* Tue Nov 08 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.34-1mdk
- 1.3.34
- EAPI version 2.8.25

* Mon Sep 05 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.33-3mdk
- EAPI version 2.8.24 (CAN-2005-2700)

* Fri Jul 08 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.33-2mdk
- EAPI version 2.8.23 (Minor bugfixes)

* Sun Jun 05 2005 Oden Eriksson <oeriksson@mandriva.com> 1.3.33-1mdk
- renamed to apache1, relocated and did some other magic

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.33-6mdk
- rpmlint fixes
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.33-5mdk
- rebuilt against new mm

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.33-4mdk
- oops! some of the changes from 1.3.31-7mdk got lost in P10, fixed

* Sun Nov 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.33-3mdk
- added patches and fixes from the apache-ssl package 

* Sun Oct 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.33-2mdk
- EAPI version 2.8.22

* Fri Oct 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.33-1mdk
- 1.3.33
- rediff P5

* Fri Oct 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.32-1mdk
- 1.3.32
- EAPI version 2.8.21
- rediff P5
- misc spec file fixes

* Wed Sep 29 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.31-7mdk
- shuffle the find db stuff around a bit

* Sun Jul 18 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.31-6mdk
- update EAPI version to 2.8.19 (Minor security fixes)

* Tue Jul 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.31-5mdk
- remove redundant provides

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.31-4mdk
- www.modssl.org wasn't availible last night, so update 
  mod_ssl to v2.8.18 today

* Thu Jun 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.31-3mdk
- install missing headers

* Wed Jun 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.31-2mdk
- rebuilt with gcc-3.4.1

* Thu May 13 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.3.31-1mdk
- apache v1.3.31
- put generated httpd.conf in docdir
- misc spec file fixes

* Sat Nov 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.29-1mdk
- apache v1.3.29
- EAPI v2.8.16
- misc spec file fixes
- rediffed P5
- drop P10, it's included
- really cleanup in %%clean

* Wed Sep 17 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.28-4mdk
- BuildRequires: libmm-devel, not libmm1-devel

* Mon Sep 08 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.28-3mdk
- fix ASF bug #21737 (cgi zombie processes)

* Thu Sep 04 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.28-2mdk
- remove conflicting man page (is in apache-common now)

* Mon Aug 25 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.28-1mdk
- apache v1.3.28
- EAPI v2.8.15
- misc spec file fixes
- rediffed P5

* Thu Aug 14 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.27-11mdk
- BuildRequires: db3-devel, libgdbm-devel

* Mon Jul 21 2003 David Baudens <baudens@mandrakesoft.com> 1.3.27-10mdk
- Rebuild to fix bad signature

* Fri May 30 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.3.27-9mdk
- rebuilt against new mm
- misc spec file fixes

* Fri Feb 28 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-8mdk
- Do not require libdb3.3-devel anymore, since there is a conflict
  between libdb3.3 and libdb4.0 devel packages. This messes the upgrade

* Thu Feb 20 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-7mdk
- pickup libap.a, libmain.a, libos.a and libstandard.a, and put them in
  apache-devel
- removed apache-common and apache-manual, they will be split into their
  own packages so we can put apache-modules into cooker main.

* Thu Feb 13 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-6mdk
- add AP13pre macro to make sure about the sanity of the conf files
- remove the warning messages from apxs, they are not necessery and confuse
  the user and some scripts
- re-add mod_auth_dbm

* Tue Jan 07 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-5mdk
- Use ADVX-build to generate macros
- Add Provides: ADVXpackage, all ADVX package will have this tag, 
  so we can easily do a rpm --whatprovides ADVXpackage to find out
  what ADVX packages a user has installed on his system. 
- Likewise, add Provides: AP13package and AP20package in the same
  manner

* Thu Jan 02 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-4mdk
- rebuilt for new mm version
- enable SHARED_CORE for Kylix compatibility

* Fri Nov 15 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.3.27-3mdk
- Make it lib64 aware

* Fri Nov  8 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-2mdk
- Rebuild for Cooker

* Mon Oct 28 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.27-1mdk
- Security update
- New version

* Fri Jul 12 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.26-6mdk
- don't use apache for document root (possible minor security bug) and icons
- require rpm-helper

* Fri Jul 12 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.3.26-5mdk
- add apache user

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.3.26-4mdk
- change the requires on perl (precise the Epoch)

* Mon Jul  8 2002 Pixel <pixel@mandrakesoft.com> 1.3.26-3mdk
- build with "-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64" since mod_perl uses this
  (since using uselargefiles in perl)
  => apache_mod-perl will now work again :)

* Tue Jun 25 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.26-1mdk
- new version 1.3.26.

* Thu May 16 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.24-2mdk
- Rebuild with gcc 3.1.
- New openssl.

* Mon Apr 15 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.24-1mdk
- Updated perl version.
- 1.3.24 (security and bug fixes).
- EAPI&mod_ssl 2.8.8.
- Re-generate Patch5.

* Mon Mar 02 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.23-4mdk
- added --disable-rule=expat to stop segfaults in mod_perl. The only reason
  expat is needed is for mod_dav, and then it's possible to link it with the
  real expat shared library. Links:
  http://lists.xml.org/archives/xml-dev/200008/msg00229.html
  http://axkit.org/faq.xml

* Mon Mar 02 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.23-3mdk
- Re-build since there was a mod_ssl security update and a few things have
  been fixed in the EAPI as well (and that's in Apache).
- Fix manual path
- Fix configuration files to be more secure, and also to be easier to parse
  by Frontpage and other addons.
- The old advx.com is broken, the new site is www.advx.org
- Misc. fixes to index.shtml (yes, I removed my name from the index.shtml, 
  some people did not like it)
- Removed suexec, will be in a separate package instead. The problem was the
  docroot was hardcoded in it, and people with non-standard html directories
  had to re-compile everything to get it working for their configuration.

* Thu Feb 28 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.23-2mdk
- Fix apache-manual files (*.html.html ->  *.html)

* Mon Jan 04 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.23-1mdk
- Apache 1.3.23
- mod_ssl 2.8.6

* Mon Dec 17 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.22-3mdk
- Fix apache-manual problems.
- Fix man page (s/inetd/xinetd).

* Tue Nov 06 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.22-2mdk
- fix owner in apache-manual.
- fix source permissions (rpmlint).

* Tue Oct 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.22-1mdk
- apache 1.3.22.
- EAPI 2.8.5.
- remake patches.

* Mon Oct 15 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.20-7mdk
- Put html manual in /var/www/html/apache-manual.

* Thu Oct 11 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.20-6mdk
- Build against new db3.

* Tue Oct  9 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.20-5mdk
- Make rpmlint happier.

* Tue Oct  9 2001 Christian Belisle <cbelisle@mandrakesoft.com> 1.3.20-4mdk
- Correct the manpage to show the right conf and log files.
- Provides the Obsoletes for compatibility.

* Fri Aug 24 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.20-3mdk
- added BuildConflicts:  BerkeleyDB-devel

* Fri Aug 24 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.20-2mdk
- fixed requires apache-conf

* Thu Jul 05 2001 Philippe Libat <philippe@mandrakesoft.com> 1.3.20-1mdk
- update

* Fri Apr 13 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19-3mdk
- fixed requires

* Mon Apr  9 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19-2mdk
- added serverbuild flag
- EAPI 2.8.2 (cleanup and bugfixes)

* Sun Mar 25 2001 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.19-1mdk
- Completely remade the spec file so it's easier to grok
- Updated to 1.3.19
- Removed SGI optimizations, they are now unsupported by SGI =(
  Bad thing and good thing, since the patches had a bunch of casts and
  other constructs that ASF try to keep out of the code because it leads
  to very subtle bugs... If I have time, I will create an Apache-SGI package
  for contribs with the 1.3.14 version that will work in proxy mode.
- Replaced the Microsoft Frontpage patches by the Improved Frontpage
  module, which is better, and a lot more secure. This module will we in a
  separate package.
- Re-put mod_perl into its own SRPM. We'll use the new apache-source 
  package to build the static mod_perl
- Split modules into their own package so they can be used with mod_perl
  as well
- Put mod_include_xssi in a different package so it can USE_PERL_SSI
- Replaced the ln and rm commands in the post scripts by a relative symbolic 
  link created in the build process.
- Get the EAPI directly from mod_ssl so we don't have to untar it, extract
  the two directories we need and re-tar them for Apache
- Add small advertising on index.shtml for Thawte SSL certificates for
  people to secure their web servers
- Added Prereqs almost everywhere to install in the right order
- Changed MM_CORE_PATH to /var/apache-mm/mm instead of /var/run/mm 
  because only root can write to /var/run and we have to be able to run 
  Apache as a non-root user! Also, we change httpd.h directly since 
  adding the define under the shell removes the quote, and it breaks 
  future use with apxs
- Added -fno-strict-aliasing since it's used by mod_perl
- Removed russian package descriptions
- Removed all configuration files, they will be put into apache-conf module,
  so they can be easily tailored by an ISP or an OEM
- Added rotatelogs utility

* Thu Feb 01 2001 Francis Galiegue <fg@mandrakesoft.com> 1.3.14-4mdk
- Do not run make test on ia64 :(

* Wed Jan 17 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.3.14-3mdk
- fix for insecure tempfile creation in htpasswd and htdigest

* Tue Oct 24 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.14-2mdk
- put Requires: apache-common in HTML-Embperl package

* Sat Oct 21 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.14-1mdk
- update to 1.3.14 bugfix+security release
- mod_rewrite patch thanks to Vincent Danen <vdanen@mandrakesoft.com>
- update to EAPI 2.7.1 (bugfixes + update for 1.3.14) thanks to RSE
- update to HTML-Embperl-1.3b6 (update for 1.3.14)
- one week of diff-of-a-diff-of-a-diff-of-a-diff tweaking
- modified httpd.conf so /doc points to /usr/share/doc (thanks to Guillaume
  Rousse <Guillaume.Rousse@univ-reunion.fr>
- added new init script from Mikhail Zabaluev <mookid@sigent.ru> of the
  Russian Apache Project
- Fixed a bug in httpd-perl.conf thanks to Florin Grad
 <florin@mandrakesoft.com>
- Added KOffice mimetypes

* Wed Sep 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-30mdk
- Fixed the [PASSED] in the init script
- Added index.php in DirectoryIndex for PHPNuke 
- fixed post-install script
- fixed BuildRequires
- fixed library name mismatch in mm
- There are still 129 errors with rpmlint, but that's only because all files
  are owned by apache.apache and flepied didn't rebuilt rpmlint.

* Fri Sep 8 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-27mdk
- Created an hyper-robust init script
- apachectl is now a symlink to the init script
- Fixed problems with segfaulting when logtorating (some modules don't like
  kill -USR1, and you have to stop and restart Apache so it restarts
  cleanly)
- Removed BUFFERED_LOGS from the main Makefile. Instead, create a copy of
  mod_log_config with the #define and leave the choice to the user by
  tweaking httpd.conf
- Added support for ApacheJServ, and hopefully Tomcat/Jakarta
- link with -lpthread to fix php-mysql issues
  (Thanks a lot to taki@enternet.hu!)
- rebuilt with patched mm
- new user apache (compatibility with RedHat)
- changed /var/www ownership to apache.apache
- changed log dir ownership to apache.apache
- fixed possible security bug submitted by richardjbrain@hotmail.com where
  the /perl/ directory is browseable

* Thu Aug 24 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-26mdk
- new Mandrake logo from http://mandrake.com/en/poweredby.php3
- EAPI 2.6.6
- fix HTML::Embperl config file
- do not run make test on alpha
- added some documentation in httpd.conf about the buffered logs

* Mon Aug 21 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-25mdk
- fixed init script

* Wed Aug  9 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-24mdk
- fixed a bad link in HTML-Embperl documentation

* Tue Aug  8 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-23mdk
- Apache now works perfectly with mod_perl, HTML::Embperl and Apache::ASP
- Rebuilt with new perl for more security
- Tested *every* file, except for 1 DBI file
- The build process now makes 300 different tests before it writes the
  package
- Cleaned the spec file

* Fri Aug  4 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-22mdk
- added .htaccess for Embperl so the examples work online

* Thu Aug  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-21mdk
- fixed provides for mod_perl
- fixed post scripts

* Thu Aug  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-20mdk
- fixed manual path
- removed the part on the webpage about the SGI optimizations for the
  mod_perl package

* Thu Aug  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-19mdk
- at post-install, s|/home/httpd|/var/www| in httpd-perl.conf also
- put manual in separate package
- put PARSE_FORM and RANDOM_SSI defines for the xssi module

* Thu Aug  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-18mdk
- Fixed the configure script (seems we need to define additional modules
  at the beginning of the configure options.. weird...)

* Thu Aug  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-17mdk
- if /home/httpd exists, link /var/www to it so upgrades do not break the
  system
- at post-install, s|/home/httpd|/var/www| in httpd.conf 

* Wed Aug  2 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-16mdk
- added standalone and cgi Embperl, plus a battery of tests to make sure
  everything compiles and works correctly
- moved document root to %{apacheroot}

* Mon Jul 31 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-15mdk
- added HTML-Embperl in the main package since if won't compile when httpd
  is stripped (needs symbols)
- Long period of experimenting to determine the correct build sequence and
  understand the code well enough to create patches
- HTML-Embperl is needed for many interesting applications, such as Tallyman
  (E-commerce application)  

* Fri Jul 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-14mdk
- Bonnne Fete la France! 14 juillet et 14mdk =)
- completely remade package. Now has mod_perl inside, to build separate
  packages: apache-common, apache-mod_perl and apache. The apache-mod_perl
  package is statically linked and *stable*, while the combination of apache
  + mod_perl (DSO) was causing segfaults all the time, specially with ASP.
  Took me a long time to figure out how to get rid of that problem, and
  thanks to Mikhail Zabaluev for his help!
- It's possible to use both apache and apache-mod_perl. The plain apache
  will proxy the requests to apache-mod_perl. Very efficient.
- prepare for FHS/LSB. Now a macro defines apacheroot, apachecontent and
  apachebase. Macro-ized everything
- added -D_FILE_OFFSET_BITS=64 definitions
- EAPI 2.6.5

* Mon May 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-11mdk
- EAPI 2.6.4 (bugfixes again!)
- Workaround for big bug in msec. Now apache chmods 0755 /home/httpd
- More russian descriptions from from Mikhail Zabaluev <mookid@sigent.ru>
- USE_STAT_CACHE

* Mon Apr 17 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-10mdk
- Use the contribs mm instead of bundling it into apache (we'll move mm to
  the main distro, otherwise it'll conflict)
- EAPI 2.6.3 (bugfixes)
- Replaced the vhost sample lines by sample files for DynamicVhosts and
  VirtualHomePages
- Added the new SGI 12-1 and 12-2 patches (bugfixes)
- Split mod_include_xssi.c from mod_include.c (conflict)
- put documentation in /usr/doc where it belongs and made a symlink
  in /home/httpd/html/manual
- added russian descriptions from Mikhail Zabaluev <mookid@sigent.ru>
- changed logrotate so it sends SIGUSR1 because httpdloses buffered log
  entries when restarted by a SIGHUP.

* Fri Apr 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-9mdk
- append .c to AddModule mod_vhost_alias
- suggestions from Eric Snyder <Eric@Credible.net>:
- add #VirtualDocumentRoot sample line
- add #VirtualScriptAlias sample line
- add #NameVirtualHost sample line
- put LMDK200Rw.gif logo

* Wed Apr  5 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-8mdk
- cleaned spec

* Mon Apr  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-7mdk
- EAPI 2.6.2 (no changes, just want to keep current with Ralph EngelSchall)
- Changed Pentium optimizations to Processor-specific optimizations on web
  page
- Changed layout of webpage so the package is labeled as Mandrake and people
  see it as Apache+addons instead of a non-standard Apache.
- Tested all combinations of patches for mod_perl and mod_ssl, mod_perl was
  the culprit.

* Mon Apr  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.12-6mdk
- don't compile QSC on arch other than Intel.

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-5mdk
- updated EAPI to 2.6.1

* Sun Feb 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-3mdk
- fixed link for addon modules

* Sun Feb 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-3mdk
- removed the patch for mod_log_config.c, was causing a segfault under
  certain conditions with the CustomLog of mod_ssl

* Sun Feb 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-2mdk
- hacked the SGI patches to they work with the EAPI. There is only one
  .rej file that I don't know how to handle yet (buff.c). Maybe we will
  not get every full bit of the 10x performance increase, but we should
  get almost all of it, and Apache will still work with mod_ssl.
- Changed signature for Apache-AdvancedExtranetServer

* Sat Feb 26 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-1mdk
- updated to 1.3.12
- updated to EAPI 2.6.0

* Sun Jan 23 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 1.3.11
- updated to EAPI 2.5.0

* Tue Jan 18 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to EAPI 2.4.10
- Put the nice Advanced Extranet and SGI optimized logos.

* Wed Jan  5 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- moved suexec to another package so it doesn't get installed by default
- added index.php3 as valid index.

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7.0
- fixed httpd.pid

* Sat Dec 12 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to mm 1.0.12 and EAPI 2.4.9 
- modified index.shtml to link to www.advancedextranet.com

* Tue Nov 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- strip (plz)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build

* Mon Oct  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- build for cooker.


* Mon Sep 06 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- re-build for EAPI 2.4.2 and mm 1.0.11

* Sun Sep 05 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- added tables in index.s html and removed the part about the docs in
  /extranet, because they're not completed yet.

* Fri Sep 03 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- fixed package description

* Fri Sep 03 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated EAPI to 2.4.1
- updated mm to 1.0.10
- added "Listen 80" in httpd.conf

* Wed Aug 18 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated EAPI to 2.4.0

* Mon Aug 16 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 1.3.9

* Sun Aug 15 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Solaris fixes again

* Sat Aug 14 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- changed install for cp -aR so ldconfig does not complain on shared mem
  libs

* Fri Aug 13 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 1.3.8
- cleaned the SPEC file

* Tue Aug 10 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- got new patches from rse@engelschall.com
- fixed some bugs in Solaris RPM
- re-added apachectl, don't know why RH removed it...

* Tue Aug 3 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- re-made the SPEC to port to Solaris rpm
- re-designed the web page to be able to include platform and to
  separate Apache from all the addon packages
- got new patches from rse@engelschall.com

* Sun Aug 1 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- created modules and vhosts directory to clean up a bit

* Sat Jul 31 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated EAPI from mod_ssl 2.3.10
- complete re-write of index.html
- created *LOTS* of new modules for this version
- removed mod_auth bandwidth
- added Hotwired mod_include
- created /protected-cgi-bin to fix security concerns with a cgi in the
  Squid package that was accessible to anyone

* Wed Jul 21 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to mm-1.0.9
- updated EAPI from Jul 15 version of rse@engelschall.com
- cosmetic changes on html manual structure, updated links for
  crypto stuff now that it's on Mandrake site
- removed mod_auth_radius and mod_put, will be in separate packages.
- cleaned sources to have less files

* Sun Jun 06 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to mm-1.0.6
- removed php3 from main apache package, will be in a separate rpm

* Sat Jun 05 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to mm-1.0.5
- added mod_define and addon patch from <rse@engelschall.com>
- added FrontPage 2000 patch
- added fr locale
- added mod_auth_radius
- added mod_put (Netscape Publish)
- changed index.html to add more documentation, links and icons
- re-made httpd.conf, erased srm.conf and access.conf

* Sat May 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Updated to mm-1.0.4
- Updated EAPI from mod_ssl-2.3.1-1.3.6 <rse@engelschall.com>

* Tue May 25 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Hacked apxs so the package finally compiles in one shot
- Tweaked config files to add a bit more performance
- Added shared_time in scoreboard

* Mon May 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Should correctly deside if it should restart apache

* Sun May 23 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to php3.0.8

* Sat May 22 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- added support for RPM_OPT_CFLAGS

* Thu May 20 1999 Jean-Michel Dault <jmdault@netrevolution.com>

- added index.htm and Default.htm in srm.conf
- removed msql support (no rpm, no binary, commercial license)
- added mm-1.0.3 from rse@engelschall.com
- added EAPI from rse@engelschall.com
- added suexec code 

* Tue May 18 1999 Gal Duval <gael@linux-mandrake.com>

- removed sed stuff (there is no sed at install time)
- added a correct srm.conf

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix dependences.

* Wed May 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fixing typo.
- Compressing man-pages.

* Mon May 03 1999 Gal Duval <gael@linux-mandrake.com>
- merged apache and php3, added post and postun config scripts
- moved all archives from tar.gz to tar.bz2
- Mandrake apdaption
- php3 doc linked from the local index.html

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- allow indexes in /doc

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- prerequire /bin/rm, added /doc path pointing to /usr/doc for localhost

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- updated log rotating scripts to not complain if logs aren't present.

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- fixed up path to perl

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- updated init script to conform to new standards
- upgraded to 1.3.6, fixed apxs patch

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- clean up logfiles on deinstallation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Mar 12 1999 Cristian Gafton <gafton@redhat.com>
- added mod_bandwidth
- updated to 1.3.4
- prereq mailcap

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- added patch to disable building support for ndbm
- build against glibc 2.1

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.3.3 to catch up with bug fixes
- added the /usr/bin/* binaries to the spec file list

* Fri Sep 25 1998 Cristian Gafton <gafton@redhat.com>
- change ownership of cache dir to nobody
- added "Red Hat" to the server string
- updated to version 1.3.2
- fixed all references to httpsd in config files

* Fri Sep 04 1998 Cristian Gafton <gafton@redhat.com>
- small fixes to the spec file
- patch to handle correctly the -d <newroot> option
- leave out the .usr.src.apache_%{version} for now

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- patched apxs not to bomb out if it can't find httpd

* Wed Sep 02 1998 Preston Brown <pbrown@redhat.com>
- upgraded to apache 1.3.1.
- Heavy rewrite.
- changed providing a_web_server to just webserver.  Humor is not an option.

* Mon Aug 10 1998 Erik Troan <ewt@redhat.com>
- updated to build as non-root user
- added patch to defeat header dos attack

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- fixed the default config files to be more paranoid about security

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- fixed init script
- added index.htm to the list of acceptable indexes

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.2.6
- added post script to install htm extension for text/html into
  /etc/mime.types

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced sysv init script

* Tue Jan 06 1998 Erik Troan <ewt@redhat.com>
- updated to 1.2.5, which includes many security fixes

* Wed Dec 31 1997 Otto Hammersmith <otto@redhat.com>
- fixed overkill on http.init stop

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- added patch for backslash DOS attach

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- added htdigest binary to file list

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- made the default index.html be config(noreplace) so we no longer
  blow away other folks' index.html

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- added restart|status options to initscript
- renamed httpd.init to httpd

* Tue Oct 07 1997 Elliot Lee <sopwith@redhat.com>
- Redid spec file, patches, etc. from scratch.
